Written by on

Are You Ready for WordPress 3.2?

With the anticipated arrival of WP 3.2 this summer, now is the perfect time to check your sites and make sure you are ready. It is several months off, but most people tend to procrastinate until the very last minute (or later). We wanted to get you thinking about this early.

There’s nothing worse than doing an upgrade, only to have your site go wonky because your databases weren’t up to date. If you are a web developer, you’ll know what’s going on. But if you’re like 90-95% of the WordPress-using community, it’s likely to be stressful if you don’t take steps in advance.

We’ll have a webinar on the changes in 3.2 closer to release date, but the important thing to know for now is that the upcoming version of WordPress will not work with PHP 4 and MYSQL 4. All support for these earlier versions will be dropped. (This is the first time support for PHP4 has been dropped, so it is essential that you are up to date.)

What you need to do to prepare for WP 3.2

Verify that your hosting company is using PHP 5.2 or greater.

There are a several easy ways to do this.

1. You can use our handy-dandy PHP Checker to find out.
Simply enter your domain name, click the checkmark, and get the results.
If it says “No Update Needed”, you’re good to go on PHP.

If your server does not provide the information needed, you will be given additional instructions on how to check which version you are using.

OR

2. If you use cpanel, log in and navigate to where the program versions are listed. This may be listed under your account information, or under specific hosting information for each site.

If you are using Hostgator, just log in to your cpanel, scroll to the bottom of the page. Find where it says “Program Versions” in the left column and click on “Click to View”.

Here you will see what version of PHP you are using.

OR

3. Use ServerBuddy, a free plugin from PluginBuddy.

ServerBuddy is a plugin to check server configurations for compatibility with various themes and plugins.  It is a robust tool, but generates easy-to-understand reports.

Simply install it as you would any plugin, activate it, then run a server test. You will see a report that looks something like this:

If any of these messages indicate that you are not using PHP 5.2 or greater, contact your hosting company to upgrade.

Verify you are using MySQL Version 5.0.15 or greater.

Here are two simple ways to check what version of MySQL you are using.

1. Use ServerBuddy, just like you did in Option 3 above.

Look for the line that says MySQL Version.

OR

2. If your hosting company uses cpanel, follow the instructions for Option 2 for checking PHP – but this time look for the MySQL version. In Hostgator, it is located in the left column of the program versions chart.

If either method indicates you are not using MySQL 5.0.15 or greater, contact your hosting company to upgrade.

Taking care of these necessary tasks now will prevent headaches when WordPress 3.2 is released!

Of course, always remember to BACK UP your site before making any changes.
BackupBuddy is the best – and easiest – tool for this.

 

Comments

Respond

×

Sale Ends Today! Save 35% OFF BackupBuddy with coupon code BACKUPWP35